{ config, ... }:

{
  networking.domain = "hq.c3d2.de";

  nix = if config.networking.hostName == "hydra" then
    { }
  else {
    binaryCaches = [ "https://nix-serve.hq.c3d2.de" ];
    binaryCachePublicKeys =
      [ "nix-serve.hq.c3d2.de:FEi9GyFkou1Ua8INaEKmuGaww9E5y3XwrNGNRfKYeLo=" ];
  };

  users.motd = builtins.readFile ./motd;
}
