{ config, ... }: {

  imports = [ ./../overlays/yggdrasil-package-nix/nixos-module.nix ];

  networking.firewall.extraCommands = ''
   ip6tables -A INPUT -s fe80::/10 -j ACCEPT
  '';

  services.yggdrasil = {
    enable = true;
    NodeInfo = {
      name = config.networking.hostName + ".c3d2";
      deployment = "nixos";
      location = "Pieschen (Q8945)";
    };
  };
}
